<template>
  <div class="dialog" v-if="dialogForm">
    <div class="head_box">
      <span class="title">爆炸事故人员信息{{ title }} </span>
      <div>
        <el-button type="primary" size="small" :loading="loading" @click="submit" >保存</el-button>
        <el-button size="small" @click="close">关闭</el-button>
      </div>
    </div>
    <div class="form_cnt">
      <FormMessage :formList="formData" ref="elform" :rules="rules"></FormMessage>
    </div>
  </div>
</template>

<script setup>
import FormMessage from '@/components/aboutTable/FormMessage.vue'
import { qcckGet, qcckPost, qcckPut } from "@/api/qcckApi.js";
import * as rule from "@/utils/rules.js";
import { ref, defineExpose, reactive, onMounted, defineEmits, getCurrentInstance, nextTick } from "vue";
const emit = defineEmits(["updateDate"]);
const props = defineProps({
  dic: Object
});
const { proxy } = getCurrentInstance();
const dialogForm = ref(false); //弹窗
const formData = ref([
  { label: "行政区划", prop: "xzqh",  type: "input" },
  { label: "事故业务流水号码", prop: "ywlsh",  type: "input" },
  { label: "登记日期", prop: "djrq", type: "date",},
  { label: "人员顺序号", prop: "ryxh",  type: "input" },
  { label: "姓名", prop: "xm",  type: "input" },
  { label: "性别", prop: "xb",  type: "select",options: [{ label: "男", value: "1" }, { label: "女", value: "2" }] },
  { label: "年龄", prop: "nl",  type: "input" },
  { label: "公民身份证号码", prop: "sfzh",  type: "input" },
  { label: "处理详细情况", prop: "clxxqk",  type: "textarea" ,width: "100%"},
]);
const listQuery = ref({
  sfbqdj: []
}); //表单
const loading = ref(false);
const elform = ref();
const title = ref("");
const rules = reactive({
  xm: [{ required: true, message: "请输入姓名", trigger: "blur" }]
});
const editpeo = ref();
onMounted(() => {});
// 初始化数据
const init = (type, row,) => {
  dialogForm.value = true;
  title.value = type == 'add' ? "新增" : "编辑";
  if (row) getDataById(row.id);
};
// 根据id查询详情
const getDataById = (id) => {
  // qcckGet({}, '/mosty-gsxt/tbGsxtBqgl/'+id).then((res) => {
  //   listQuery.value = res;
  // });
};

// 提交
const submit = () => {
  elform.value.submit((data)=>{
    // let url =  title.value == "新增" ? '/mosty-gsxt/tbGsxtBqgl/save':'/mosty-gsxt/tbGsxtBqgl/update';
    // let params = { ...data }
    // qcckPost(params, url).then((res) => {
    //   proxy.$message({ type: "success", message: title.value + "成功" });
    //   emit("updateDate");
    //   close();
    // }).catch(() => {});
  });
};

// 关闭
const close = () => {
  listQuery.value = {};
  dialogForm.value = false;
  loading.value = false;
};
defineExpose({ init });
</script>

<style lang="scss" scoped>
@import "~@/assets/css/layout.scss";
@import "~@/assets/css/element-plus.scss";
</style>
